$ErrorActionPreference = "Stop";
$toolsDir   = "$(Split-Path -parent .MyCommand.Definition)"
$url        = "https://gitlab.com/openflexure/openflexure-microscope-jsclient/-/jobs/artifacts/v0.2.6/raw/openflexure-ev-win.exe?job=package"

$packageArgs = @{
  packageName   = "openflexure-ev"
  unzipLocation = $toolsDir
  fileType      = "exe"
  url           = $url
  url64bit      = $url

  softwareName  = "OpenFlexure eV"

  checksum      = "cd2fde843159bdecb3a9bc7b0dea7ddefe199470dc2dbaa18071bc830a65510b"
  checksumType  = "sha256"

  silentArgs   = "/S"
}

Install-ChocolateyPackage @packageArgs

